.\" $NetBSD: btattach.8,v 1.2 2009/03/15 10:04:27 joerg Exp $
.\"
.\" Copyright (c) 2007 KIYOHARA Takashi
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 6, 2009
.Dt BTATTACH 8
.Os
.Sh NAME
.Nm btattach
.Nd attach serial lines as Bluetooth HCI interfaces
.Sh SYNOPSIS
.Nm
.Op Fl dfop
.Op Fl i Ar speed
.Op Ar type
.Ar tty
.Ar speed
.Sh DESCRIPTION
.Nm
is used to assign a
.Ar tty
line to a Bluetooth Host Controller Interface using the
.Xr btuart 4
or
.Xr bcsp 4
line disciplines, and can optionally initialize the line for a
given device
.Ar type
before activating the line discipline.
.Pp
Supported types are:
.Bl -tag -compact -width ericssonxx -offset indent
.It Cm bcm2035
Broadcom BCM2035
.It Cm bcsp
Generic BCSP (BlueCore Serial Protocol)
.It Cm bgb2xx
Philips BGB2xx module
.It Cm btuart
Generic UART (this is the default)
.It Cm csr
Cambridge Silicon Radio Casira serial adaptor, or
Brainboxes serial dongle (BL642)
.It Cm ericsson
Ericsson based modules
.It Cm digi
Digianswer based cards
.It Cm st
ST Microelectronics minikits based on STLC2410/STLC2415
.It Cm stlc2500
ST Microelectronics minikits based on STLC2500
.It Cm swave
Silicon Wave kits
.It Cm texas
Texas Instruments modules
.It Cm unistone
Infineon UniStone (PBA31308) modules
.El
.Pp
When the line discipline is activated,
.Nm
detaches and sleeps until it receives a
.Dv SIGHUP .
.Pp
The command line options are as follows:
.Bl -tag -width ".Fl i Ar speed"
.It Fl d
debug mode.
print initialization IO and do not detach.
.It Fl f
Enable flow control.
.It Fl i Ar speed
Specify an alternate
.Ar speed
for the Bluetooth module to use during the initialization phase.
.It Fl o
Enable odd parity.
.It Fl p
Enable parity (even parity).
.El
.Pp
Only the super-user may attach a Bluetooth HCI interface.
.Sh FILES
.Bl -tag -compact
.It Pa /var/run/btattach- Ns Bro tty Brc Ns .pid
.El
.Sh SEE ALSO
.Xr bcsp 4 ,
.Xr bluetooth 4 ,
.Xr btuart 4 ,
.Xr btconfig 8
.Sh BUGS
Not all
.Ar type
initializations have been tested.
.Sh HISTORY
The
.Nm
program was written with reference to
.Xr hciattach 8
as provided with the BlueZ tools for Linux and first appeared in
.Nx 5.0 .
.Sh AUTHORS
.An KIYOHARA Takashi Aq kiyohara@kk.iij4u.or.jp
.An Iain Hibbert
